org.apache.mina.api

## Interface IoServer

All Known Implementing Classes:
  AbstractIoServer, AbstractTcpServer, AbstractUdpServer, BioUdpServer, NioTcpServer, NioUdpServer

    public interface IoServer

A network server bound to a local address.

Will crate a new `IoSession` for each new incoming connection.

Author:
  Apache MINA Project

### Method Summary

Methods
`void` `bind(int port)` Binds the server to the specified port.
`void` `bind(SocketAddress localAddress)` Binds to the specified local addresses and start to accept incoming connections.
`SocketAddress` `getBoundAddress()` Returns the local addresses which are bound currently.
`void` `unbind()` Unbinds from the local addresses that this service is bound to and stops to accept incoming connections.

### Method Detail

#### getBoundAddress

    SocketAddress getBoundAddress()

Returns the local addresses which are bound currently.

#### bind

    void bind(SocketAddress localAddress)

Binds to the specified local addresses and start to accept incoming connections.

#### bind

    void bind(int port)

Binds the server to the specified port.

Parameters:
  `port` - the local TCP port to bind.

#### unbind

    void unbind()

Unbinds from the local addresses that this service is bound to and stops to accept incoming connections. This method returns silently if no local address is bound yet.